## org.apache.batik.dom.svg
Interface LiveAttributeValue

All Known Implementing Classes:
  AbstractSVGAnimatedLength, SVGOMAnimatedBoolean, SVGOMAnimatedEnumeration, SVGOMAnimatedInteger, SVGOMAnimatedLengthList, SVGOMAnimatedNumber, SVGOMAnimatedNumberList, SVGOMAnimatedPathData, SVGOMAnimatedPoints, SVGOMAnimatedString, SVGOMAnimatedTransformList, SVGStylableElement.PresentationAttributeColorValue, SVGStylableElement.PresentationAttributePaintValue, SVGStylableElement.PresentationAttributeValue, SVGStylableElement.StyleDeclaration

public interface LiveAttributeValue

This interface should be implemented by all the attribute values objects that must be updated when the attribute node is modified.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.

Method Detail

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.